Skip to main content
POST
Queue a CSV export of sponsorships (async)

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

program_id
required

Program to export, or the literal string all.

Body

application/json
filter
boolean
Example:

false

query
string
Example:

"mateo"

status
enum<string> | null
Available options:
current,
due
Example:

"current"

savedFilterId
integer | null
Example:

77

fields
string[]
Example:
column_order
string[]

Ordered export column keys. Synthetic identity keys such as display_name, recipient_name, and donor_name are valid export column keys.

Example:
column_labels
object

Optional key-to-label map, or a JSON-encoded map, for requested export columns. Labels only affect validated columns from column_order; they cannot add columns.

Example:
filterGroups
object[]

Response

Export queued.

message
string
Example:

"Export initiated successfully. You will get a notification in Activity when the CSV is ready to download."

status
string
Example:

"queued"

export_id
integer
Example:

512

status_url
string
Example:

"/admin/sponsorships/exports/512/status"